Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/tests/usr.bin/xlint/lint1 tests/lint: when accepting test re...



details:   https://anonhg.NetBSD.org/src/rev/8c4d13c1c8f3
branches:  trunk
changeset: 984546:8c4d13c1c8f3
user:      rillig <rillig%NetBSD.org@localhost>
date:      Sun Jul 11 14:43:57 2021 +0000

description:
tests/lint: when accepting test results, skip crashes

diffstat:

 tests/usr.bin/xlint/lint1/accept.sh |  5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diffs (20 lines):

diff -r c7d451a175f7 -r 8c4d13c1c8f3 tests/usr.bin/xlint/lint1/accept.sh
--- a/tests/usr.bin/xlint/lint1/accept.sh       Sun Jul 11 14:17:48 2021 +0000
+++ b/tests/usr.bin/xlint/lint1/accept.sh       Sun Jul 11 14:43:57 2021 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# $NetBSD: accept.sh,v 1.2 2021/07/11 12:07:14 rillig Exp $
+# $NetBSD: accept.sh,v 1.3 2021/07/11 14:43:57 rillig Exp $
 #
 # Copyright (c) 2021 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -61,6 +61,9 @@
                                sed 's,^,| ,' "$tmpfile"
                        fi
                        rm -f "$expfile" "$tmpfile"
+               elif [ $? -ge 128 ]; then
+                       echo "$base crashed"
+                       continue
                else
                        if [ -f "$tmpfile" ] && cmp -s "$tmpfile" "$expfile"; then
                                rm "$tmpfile"



Home | Main Index | Thread Index | Old Index